import { PropType } from 'vue';
import { default as BtnPropsType } from '../../helper/types/BtnPropsType';
import { default as WizardStep } from './WizardStep';
declare function __VLS_template(): {
    slots: {
        header?(_: {}): any;
        default?(_: {}): any;
        footer?(_: {}): any;
    };
    refs: {};
    attrs: Partial<{}>;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    /**
     * provides the loading and transition animation between the steps. Is set to true with next.
     */
    loading: {
        type: BooleanConstructor;
        required: true;
    };
    /**
     * The width of the dialogue.
     */
    width: {
        type: NumberConstructor;
        default: number;
    };
    steps: {
        type: PropType<WizardStep[]>;
        required: true;
    };
    currentStep: {
        type: PropType<WizardStep>;
        required: true;
    };
    disableNextButton: {
        type: BooleanConstructor;
        default: boolean;
    };
    showBackButton: {
        type: BooleanConstructor;
        default: boolean;
    };
    showTitle: {
        type: BooleanConstructor;
        default: boolean;
    };
    dialogBodyClasses: {
        type: StringConstructor;
        default: string;
    };
    classesSlot: {
        type: StringConstructor;
        default: string;
    };
    backBtnIcon: {
        type: StringConstructor;
        default: string;
    };
    secBtn: {
        type: PropType<BtnPropsType>;
        default: () => {
            text: string;
            show: boolean;
            disable: boolean;
            icon: string;
            class: string;
        };
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    submit: (...args: any[]) => void;
    "close-dialog": (...args: any[]) => void;
    secBtn: (...args: any[]) => void;
    "update:loading": (...args: any[]) => void;
    "update:currentStep": (...args: any[]) => void;
    "update:disableNextButton": (...args: any[]) => void;
    back: (...args: any[]) => void;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    /**
     * provides the loading and transition animation between the steps. Is set to true with next.
     */
    loading: {
        type: BooleanConstructor;
        required: true;
    };
    /**
     * The width of the dialogue.
     */
    width: {
        type: NumberConstructor;
        default: number;
    };
    steps: {
        type: PropType<WizardStep[]>;
        required: true;
    };
    currentStep: {
        type: PropType<WizardStep>;
        required: true;
    };
    disableNextButton: {
        type: BooleanConstructor;
        default: boolean;
    };
    showBackButton: {
        type: BooleanConstructor;
        default: boolean;
    };
    showTitle: {
        type: BooleanConstructor;
        default: boolean;
    };
    dialogBodyClasses: {
        type: StringConstructor;
        default: string;
    };
    classesSlot: {
        type: StringConstructor;
        default: string;
    };
    backBtnIcon: {
        type: StringConstructor;
        default: string;
    };
    secBtn: {
        type: PropType<BtnPropsType>;
        default: () => {
            text: string;
            show: boolean;
            disable: boolean;
            icon: string;
            class: string;
        };
    };
}>> & Readonly<{
    onSubmit?: ((...args: any[]) => any) | undefined;
    "onClose-dialog"?: ((...args: any[]) => any) | undefined;
    onSecBtn?: ((...args: any[]) => any) | undefined;
    "onUpdate:loading"?: ((...args: any[]) => any) | undefined;
    "onUpdate:currentStep"?: ((...args: any[]) => any) | undefined;
    "onUpdate:disableNextButton"?: ((...args: any[]) => any) | undefined;
    onBack?: ((...args: any[]) => any) | undefined;
}>, {
    width: number;
    dialogBodyClasses: string;
    disableNextButton: boolean;
    showBackButton: boolean;
    showTitle: boolean;
    classesSlot: string;
    backBtnIcon: string;
    secBtn: BtnPropsType;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
